1. Collections
ChatDOC
  • Documents
    • Upload Document
      POST
    • Upload Document
      POST
    • Get Document
      GET
    • Delete Document
      DELETE
    • Download Document
      GET
  • Collections
    • Create Collection
      POST
    • Clone Document To Collection
      POST
  • Questions
    • Get Suggested Questions
      GET
    • Ask Question
      POST
    • Get Question
      GET
    • Ask Question With Multiple Documents
      POST
  • Users
    • Get Quota
      GET
  • Schemas
    • Schemas
      • APIAIModelEnum
      • APICloneReq
      • APICollectionOrUploadResp
      • APIPackageInfoResp
      • APIUploadResp
      • Body_Upload_Document_documents_upload_post
      • ChatMessage
      • ChatRoleEnum
      • CollectionReq
      • DocumentErrorMessage
      • DocumentStatus
      • HTTPValidationError
      • HtmlSelectedMeta
      • InteractionType
      • PDFViewerRect
      • PackageDataResp
      • PackageQuotaResp
      • QuestionReq
      • QuestionReqWithUploadIds
      • QuestionResp
      • SelectedMeta
      • SelectedMetaWithUploadId
      • UploadOcrType
      • UploadPackageType
      • UploadType
      • ValidationError
      • WebsiteReq
  1. Collections

Create Collection

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
POST
/collections
Create an empty collection
Response:
Similar with POST /documents/upload, response id also called upload_id, which can be used for document related APIs:
GET /documents/{upload_id}
DELETE /documents/{upload_id}
POST /questions?upload_id={upload_id}
Upon created you can add sub documents to the collection by:
POST /documents/upload
POST /collections/clone-documents.

Request

Body Params application/json

Examples

Responses

🟢200Successful Response
application/json
Body

🟠422Validation Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.your-api-server.com/collections' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string"
}'
Response Response Example
200 - Example 1
{
    "id": "string",
    "status": 1,
    "name": "string",
    "created_at": 0,
    "type": "collection"
}
Modified at 2024-07-26 06:57:23
Previous
Download Document
Next
Clone Document To Collection
Built with